RUN_MAPSEMBLER2_PIPELINE(1)

NAME
run_mapsembler2_pipeline - pipelines the mapsembler2 tools

SYNOPSIS
run_mapsembler_and_phaser.sh -s <starter.fasta> -r <reads.faste> -t [1/2/3/4]<options>

DESCRIPTION
run_mapsembler_pipeline.sh, a pipelining mapsembler2_extremities, mapsembler2_extend and kissread_g

OPTIONS

-s: file containing starters (fasta)

-r list of reads separated by space, surrounded by the '"' character. Note that reads may be in fasta or fastq format, gzipped or not. Example: -r "data_sample/reads_sequence1.fasta data_sample/reads_sequence2.fasta.gz".

-t: kind of assembly: 1=unitig (fasta), 2=contig (fasta), 3=unitig (graph), 4=contig(graph)

  OPTIONAL

-p prefix. All out files will start with this prefix. Example: -p my_prefix

-k value. Set the length of used kmers. Must fit the compiled value. Default=31. Example -k 31

-c value. Set the minimal coverage. Default=5. Example -c 5

-d value. Set the number of authorized substitutions used while mapping reads on found SNPs. Default=1. Example: -d 1

-g value. Estimated genome size. Used only to control memory usage. e.g. 3 billion (3000000000) uses 4Gb of RAM. Default=10 million. Example: -d 10000000

-f value. Set the process of search in the graph (1=Breadth and 2=Depth). Default=1. Example: -f 1

-x value. Set the maximal nodes length . Default=40. Example: -x 40

-y value. Set the maximal graph depth . Default=10000. Example: -y 10000

-h Prints this message and exist

SEE ALSO
Any further question: read the readme file or contact us: pierre.peterlongo@inria.fr

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.